check-migration:
  stage: test
  script:
    - cd pkgs/db && make check
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - pkgs/db/migrations/*
      when: always
    - if: '$CI_COMMIT_BRANCH == "master" || $CI_COMMIT_BRANCH == "develop"'
      when: never
  tags:
    - eks-cluster

db-migration-build-publish:
  stage: build-app
  extends: .build-docker-image
  script:
    - cd pkgs/db && make build-publish-migrations
  only:
    refs:
      - develop
      - master
    changes:
      - pkgs/db/migrations/*
  tags:
    - eks-cluster